edelib 2.1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
XSettingsSetting Class Reference

Structure for tracking XSETTINGS values. More...

`#include <edelib/XSettingsCommon.h>`

## Public Attributes
char * | name
XSettingsType | type
union {
int v_int
char * v_string
XSettingsColor v_color
} | data
unsigned long | last_change_serial

## Detailed Description

Structure for tracking XSETTINGS values.

## Member Data Documentation

union { ... } data

value for this setting

unsigned long last_change_serial

serial used to check when setting was changed

char* name

setting name

XSettingsType type

setting type

The documentation for this class was generated from the following file:

- edelib/XSettingsCommon.h